from django.shortcuts import render

from django.http import HttpResponse
from datetime import datetime
from .add_entry_form import EntryForm, MeaningForm
from .models import Entry, Meaning

# Create your views here.
def hello_world(request):
    return render(request, 'hello_world.html',
    {'current_time' : str(datetime.now()),})

def add_entry(request):
    
    # it becomes true when stored successfully
    is_saved = False

    if request.method == "POST":
        entry_form = EntryForm(request.POST)
        if entry_form.is_valid:
            entry_form.save()


            latest_entry_id = Entry.objects.latest('id').id
            meaning_form = MeaningForm(request.POST)

            if meaning_form.is_valid:
                meaning_form.save()

                latest_meaning_id = Meaning.objects.latest('id').id

                # update the entry id of meaning
                Meaning.objects.filter(id=latest_meaning_id).update(Entry=latest_entry_id)

                is_saved = True
    
    entry_list = Entry.objects.all()
    meaning_list = Meaning.objects.all()



    
    entry_form = EntryForm()
    meaning_form = MeaningForm()
    context = {
        'is_saved' : is_saved,
        'entry_form' : entry_form,
        'meaning_form' : meaning_form,
        'entry_list' : entry_list,
        'meaning_list' : meaning_list,

    }
    

    return render(request, 'addentry/add_entry.html', context)


